import RelativeJsonPointerError from "./RelativeJsonPointerError.mjs";
/**
 * @public
 */
/**
 * @public
 */
export default class InvalidRelativeJsonPointerError extends RelativeJsonPointerError {
  relativePointer;
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
    }
  }
}